API ReferenceManagementDescopers
PUT
/v1/mgmt/descoper

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

descopers?array<DescoperCreate>

Create a descoper

curl -X PUT "https://api.descope.com/v1/mgmt/descoper" \  -H "Content-Type: application/json" \  -d '{}'
{  "descopers": [    {      "id": "string",      "attributes": {        "displayName": "string",        "email": "string",        "phone": "string"      },      "rbac": {        "isCompanyAdmin": true,        "tags": [          {            "tags": [              "string"            ],            "role": "string"          }        ],        "projects": [          {            "projectIds": [              "string"            ],            "role": "string"          }        ]      },      "status": "string",      "loginIDs": [        "string"      ]    }  ],  "total": 0}
export interface Response {descopers?: {id?: string/** * Descopers */attributes?: {displayName?: stringemail?: stringphone?: string}rbac?: {isCompanyAdmin?: booleantags?: DescoperTagRole[]projects?: DescoperProjectRole[]}status?: stringloginIDs?: string[]}[]total?: number}export interface DescoperTagRole {tags?: string[]role?: string}export interface DescoperProjectRole {projectIds?: string[]role?: string}
Was this helpful?